from enum import Enum


class NodeType(Enum):
    Root = "root"
    Section = "Section"
    Block = "Block"
    DataArray = "Data Array"
    DataFrame = "Data Frame"
    Property = "Property"
    Dimension = "Dimension"
    Source = "Source"
    Tag = "Tag"
    MultiTag = "Multi Tag"
    Group = "Group"
    Feature="Feature"


class TreeType(Enum):
    Full = "full view"
    Metadata = "metadata view"
    Data = "data view"


class PlotterTypes(Enum):
    ImagePlotter = "image"
    LinePlotter = "line"
    CategoryPlotter = "category"
    EventPlotter = "event"
    Undecided = "undecided"

